if select(2, UnitClass("player")) ~= "ROGUE" then return end
local BS = AceLibrary("Babble-Spell-2.2")

function DrDamage:PlayerData()
	DrDamage.spellInfo = {
		[BS["Sinister Strike"]] = {
			[0] = { Energy = 45, WeaponDamage = 1 },
			[1] = { 3 },
			[2] = { 6 },
			[3] = { 10 },
		},
		[BS["Backstab"]] = {
			[0] = { Energy = 60, WeaponDamage = 1.5 },
			[1] = { 15 },
			[2] = { 30 },
			[3] = { 48 },
		},
		[BS["Eviscerate"]] = {
			[0] = { Energy = 35, ComboPoints = true, APBonus = 0.03 },
			[1] = { 6, PerCombo = 5 },
			[2] = { 14, PerCombo = 11 },
			[3] = { 25, PerCombo = 19 },
		},
		[BS["Gouge"]] = {
			[0] = { Energy = 45, Cooldown = 10 },
			[1] = { 10 },
			[2] = { 20 },
		},
		[BS["Ghostly Strike"]] = {
			[0] = { Energy = 40, WeaponDamage = 1.25, Cooldown = 20, NoNormalization = true, },
			[1] = { 10 },
			[2] = { 20 },
		},
		[BS["Ambush"]] = {
			[0] = { Energy = 60, WeaponDamage = 2.5 },
			[1] = { 70 },
			[2] = { 100 },
		},
		[BS["Riposte"]] = {
			[0] = { Energy = 10, WeaponDamage = 1.5 },
			[1] = { 0 },
		},			
		[BS["Backstab"]] = {
			[0] = { Energy = 60, WeaponDamage = 1.5 },
			[1] = { 30 },
			[2] = { 48 },
			[3] = { 69 },
		},
		[BS["Garrote"]] = {
			[0] = { Energy = 50, NoCrits = true, APBonus = 0.18, eDuration = 18, Ticks = 3 },
			[1] = { 144 },
			[2] = { 204 },
			[3] = { 282 },
		},			
		[BS["Rupture"]] = {
			[0] = { Energy = 25, NoCrits = true, ComboPoints = true, APBonus = { 0.04, 0.10, 0.18, 0.21, 0.24 }, ExtraPerCombo = { 0, 0, 1, 3, 6 }, eDuration = 6, DurationPerCombo = 2 },
			[1] = { 40, PerCombo = 20, Extra = 4 },
			[2] = { 60, PerCombo = 30, Extra = 6 },
			[3] = { 88, PerCombo = 42, Extra = 8 },
		},
		[BS["Hemorrhage"]] = {
			[0] = { Energy = 35, WeaponDamage = 1, NoNormalization = true, },
			[1] = { 30 },
			[2] = { 48 },
			[3] = { 69 },
		},
		[BS["Envenom"]] = {
			[0] = { Energy = 35, ComboPoints = true, APBonus = 0.03 },
			[1] = { 144, PerCombo = 144 },
		},
		[BS["Deadly Throw"]] = {
			[0] = { School = "Ranged", WeaponDamage = 1, Energy = 35, ComboPoints = true, APBonus = 0.03 },
			[1] = { 144, PerCombo = 144 },
		},
		[BS["Mutilate"]] = {
			[0] = { Energy = 60, WeaponDamage = 1, DualAttack = true },
			[1] = { 44 },
			[2] = { 63 },
		},			
	}	
	DrDamage.talentInfo = {}
end